cURL
curl --request GET \
--url https://sandbox-api.itscovered.com/lenders/v1/policies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.itscovered.com/lenders/v1/policies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.itscovered.com/lenders/v1/policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"carrier": "<string>",
"effectiveDate": "2025-03-01",
"expirationDate": "2026-03-01",
"id": "693f2f46-69ff-4f20-a4d9-abe982d34fd4",
"policyNumber": "AB325023234-03",
"policyType": "HO3",
"cancellationDate": "2025-07-01",
"coverages": [
{
"a": {
"amount": 123,
"included": true
},
"b": {
"amount": 123,
"included": true
},
"c": {
"amount": 123,
"included": true
},
"d": {
"amount": 123,
"included": true
},
"e": {
"amount": 123,
"included": true
},
"f": {
"amount": 123,
"included": true
},
"waterBackup": {
"amount": 123,
"included": true
},
"computers": {
"amount": 123,
"included": true
},
"hvac": {
"amount": 123,
"included": true
},
"mineSubsidence": {
"amount": 123,
"included": true
}
}
],
"documents": [
{
"id": "9b1bde3a-62d5-43fe-a346-c0c6a2e28358",
"name": "Nationwide-EOI-May-01-2025-07-03-16-7707-PM",
"type": "eoi_document",
"url": "https://41847538.cdnp1.hubspotusercontent-na1.net/hubfs/11847538/crm-properties-file-values/Nationwide-EOI-May-01-2025-07-03-16-7707-PM.pdf?Expires=1746212942"
}
],
"externalId": "1234567890",
"loanId": "<string>",
"premium": 1200,
"status": "<string>",
"termLength": 12
}Endpoint Examples
Get Policy
GET
/
v1
/
policies
/
{id}
cURL
Authorizations
JWT Token
Path Parameters
Response
Bound insurance policy details
The effective date of the policy
Example:
"2025-03-01"
The expiration date of the policy
Example:
"2026-03-01"
The unique identifier of the loan application
Example:
"693f2f46-69ff-4f20-a4d9-abe982d34fd4"
The policy number of the policy
Example:
"AB325023234-03"
The type of policy
Available options:
HO3, HO6, EARTHQUAKE, FLOOD, DWELLING_FIRE, WIND Example:
"HO3"
The cancellation date of the policy
Example:
"2025-07-01"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The external ID of the policy
Example:
"1234567890"
The premium of the policy
Example:
1200
The term length of the policy in months
Example:
12
Was this page helpful?
⌘I